I20230306 06:32:09.784999     1 typesense_server_utils.cpp:345] Starting Typesense 0.23.0
I20230306 06:32:09.785048     1 typesense_server_utils.cpp:348] Typesense is using jemalloc.
I20230306 06:32:09.785347     1 typesense_server_utils.cpp:397] Thread pool size: 64
I20230306 06:32:09.790364     1 store.h:61] Initializing DB by opening state dir: /usr/share/typesense/data/db
I20230306 06:32:09.805291     1 store.h:61] Initializing DB by opening state dir: /usr/share/typesense/data/meta
I20230306 06:32:09.824612     1 typesense_server_utils.cpp:478] Starting API service...
I20230306 06:32:09.824764   194 batched_indexer.cpp:120] Starting batch indexer with 64 threads.
I20230306 06:32:09.824779     1 http_server.cpp:174] Typesense has started listening on port 8108
I20230306 06:32:09.828238   194 batched_indexer.cpp:126] BatchedIndexer skip_index: -9999
I20230306 06:32:09.829805   193 server.cpp:1045] Server[braft::RaftStatImpl+braft::FileServiceImpl+braft::RaftServiceImpl+braft::CliServiceImpl] is serving on port=8107.
I20230306 06:32:09.829829   193 server.cpp:1048] Check out http://typesense-0:8107 in web browser.
I20230306 06:32:09.830937   193 raft_server.cpp:65] Nodes configuration: 10.110.82.77:8107:8108,10.110.82.148:8107:8108,10.110.82.207:8107:8108
I20230306 06:32:09.831379   193 log.cpp:674] Use crc32c as the checksum type of appending entries
I20230306 06:32:09.831421   193 log.cpp:1158] log load_meta /usr/share/typesense/data/state/log/log_meta first_log_index: 38894 time: 31
I20230306 06:32:09.831442   193 log.cpp:1000] restore closed segment, path: /usr/share/typesense/data/state/log first_index: 38945 last_index: 38976
I20230306 06:32:09.831446   193 log.cpp:1000] restore closed segment, path: /usr/share/typesense/data/state/log first_index: 38831 last_index: 38944
I20230306 06:32:09.831452   193 log.cpp:1086] load closed segment, path: /usr/share/typesense/data/state/log first_index: 38831 last_index: 38944
I20230306 06:32:09.831586   193 log.cpp:1086] load closed segment, path: /usr/share/typesense/data/state/log first_index: 38945 last_index: 38976
I20230306 06:32:09.831627   193 log.cpp:1098] load open segment, path: /usr/share/typesense/data/state/log first_index: 38977
I20230306 06:32:09.831699   193 raft_meta.cpp:521] Loaded single stable meta, path /usr/share/typesense/data/state/meta term 17 votedfor 10.110.82.98:8107:8108 time: 12
I20230306 06:32:09.832160   216 raft_server.cpp:497] on_snapshot_load
I20230306 06:32:09.834462   216 store.h:283] rm /usr/share/typesense/data/db success
I20230306 06:32:09.834632   216 store.h:293] copy snapshot /usr/share/typesense/data/state/snapshot/snapshot_00000000000000038893/db_snapshot to /usr/share/typesense/data/db success
I20230306 06:32:09.834656   216 store.h:61] Initializing DB by opening state dir: /usr/share/typesense/data/db
I20230306 06:32:09.846171   216 store.h:307] DB open success!
I20230306 06:32:09.846185   216 raft_server.cpp:476] Loading collections from disk...
I20230306 06:32:09.846189   216 collection_manager.cpp:132] CollectionManager::load()
I20230306 06:32:09.846251   216 auth_manager.cpp:32] Indexing 0 API key(s) found on disk.
I20230306 06:32:09.846271   216 collection_manager.cpp:152] Loading upto 32 collections in parallel, 1000 documents at a time.
I20230306 06:32:09.846289   216 collection_manager.cpp:159] Found 1 collection(s) on disk.
I20230306 06:32:09.847541   284 collection_manager.cpp:83] Found collection products with 4 memory shards.
I20230306 06:32:09.847712   284 collection_manager.cpp:1098] Loading collection products
I20230306 06:32:12.423322   284 collection_manager.cpp:1197] Indexed 16139/16139 documents into collection products
I20230306 06:32:12.423362   284 collection_manager.cpp:199] Loaded 1 collection(s) so far
I20230306 06:32:12.423458   216 collection_manager.cpp:236] Loaded 1 collection(s).
I20230306 06:32:12.424412   216 collection_manager.cpp:240] Initializing batched indexer from snapshot state...
I20230306 06:32:12.424465   216 batched_indexer.cpp:408] Restored 0 in-flight requests from snapshot.
I20230306 06:32:12.424477   216 raft_server.cpp:483] Finished loading collections from disk.
I20230306 06:32:12.424494   216 raft_server.h:277] Configuration of this group is 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:12.424561   216 snapshot_executor.cpp:264] node default_group:10.110.82.77:8107:8108 snapshot_load_done, last_included_index: 38893 last_included_term: 17 peers: "10.110.80.77:8107:8108" peers: "10.110.82.98:8107:8108" peers: "10.110.82.211:8107:8108"
I20230306 06:32:12.424679   193 raft_meta.cpp:521] Loaded single stable meta, path /usr/share/typesense/data/state/meta term 17 votedfor 10.110.82.98:8107:8108 time: 28
I20230306 06:32:12.424698   193 node.cpp:576] node default_group:10.110.82.77:8107:8108 init, term: 17 last_log_id: (index=38981,term=17) conf: 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108 old_conf: 
I20230306 06:32:12.424732   193 raft_server.cpp:127] Node last_index: 38981
I20230306 06:32:12.424742   193 typesense_server_utils.cpp:299] Typesense peering service is running on 10.110.82.77:8107
I20230306 06:32:12.424747   193 typesense_server_utils.cpp:300] Snapshot interval configured as: 3600s
W20230306 06:32:12.424760   193 controller.cpp:1454] SIGINT was installed with 1
I20230306 06:32:12.425302   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:32:12.425316   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:32:18.406963   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:18.406998   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:22.427928   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:32:22.427953   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:32:23.933180   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:23.933210   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:29.666333   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:29.666364   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:32.431071   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:32:32.431092   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:32:35.219516   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:35.219547   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:41.019717   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:41.019745   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:42.434249   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:32:42.434269   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:32:46.373927   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:46.373953   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:51.886109   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:51.886149   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:32:52.437016   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:32:52.437040   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:32:57.802279   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:32:57.802304   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:33:02.439392   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:33:02.439415   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:33:03.614446   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:33:03.614473   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:33:09.119611   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:33:09.119634   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:33:10.833743   194 batched_indexer.cpp:250] Running GC for aborted requests, req map size: 0
I20230306 06:33:12.441998   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:33:12.442028   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:33:14.481776   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:33:14.481801   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:33:19.945945   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:33:19.945973   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:33:22.444481   193 raft_server.cpp:531] Term: 17, last_index index: 38981, committed_index: 0, known_applied_index: 38893, applying_index: 0, queued_writes: 0, pending_queue_size: 0, local_sequence: 29476400
W20230306 06:33:22.444504   193 raft_server.cpp:558] Multi-node with no leader: refusing to reset peers.
I20230306 06:33:25.668131   216 node.cpp:1484] node default_group:10.110.82.77:8107:8108 term 17 start pre_vote
W20230306 06:33:25.668159   216 node.cpp:1494] node default_group:10.110.82.77:8107:8108 can't do pre_vote as it is not in 10.110.80.77:8107:8108,10.110.82.98:8107:8108,10.110.82.211:8107:8108
I20230306 06:33:28.485366     1 typesense_server_utils.cpp:46] Stopping Typesense server...
I20230306 06:33:29.445050   193 typesense_server_utils.cpp:328] Typesense peering service is going to quit.
I20230306 06:33:29.445075   193 raft_server.cpp:723] Set shutting_down = true
I20230306 06:33:29.445080   193 raft_server.cpp:727] Waiting for in-flight writes to finish...
I20230306 06:33:29.445083   193 raft_server.cpp:733] Replication state shutdown, store sequence: 29476400
I20230306 06:33:29.445091   193 raft_server.cpp:737] node->shutdown
I20230306 06:33:29.445094   193 node.cpp:929] node default_group:10.110.82.77:8107:8108 shutdown, current_term 17 state FOLLOWER
I20230306 06:33:29.445168   193 raft_server.cpp:741] node->join
I20230306 06:33:29.445195   216 raft_server.h:269] This node is down
I20230306 06:33:29.445243   193 node.cpp:929] node default_group:10.110.82.77:8107:8108 shutdown, current_term 17 state SHUTDOWN
I20230306 06:33:29.445390   193 typesense_server_utils.cpp:333] raft_server.stop()
I20230306 06:33:29.445400   193 server.cpp:1100] Server[braft::RaftStatImpl+braft::FileServiceImpl+braft::RaftServiceImpl+braft::CliServiceImpl] is going to quit
I20230306 06:33:29.445614   193 typesense_server_utils.cpp:336] raft_server.join()
I20230306 06:33:29.445672   193 typesense_server_utils.cpp:339] Typesense peering service has quit.
I20230306 06:33:29.446014   193 typesense_server_utils.cpp:461] Shutting down batch indexer...
I20230306 06:33:29.446023   193 typesense_server_utils.cpp:464] Waiting for batch indexing thread to be done...
I20230306 06:33:29.835271   194 batched_indexer.cpp:282] Notifying batch indexer threads about shutdown...
I20230306 06:33:29.835619   194 batched_indexer.cpp:290] Batched indexer threadpool shutdown...
I20230306 06:33:29.836972   193 typesense_server_utils.cpp:467] Shutting down server_thread_pool
I20230306 06:33:29.838626   193 typesense_server_utils.cpp:471] Shutting down app_thread_pool.
I20230306 06:33:29.840443     1 typesense_server_utils.cpp:485] Typesense API service has quit.
I20230306 06:33:29.840528     1 typesense_server_utils.cpp:489] Deleting batch indexer
I20230306 06:33:29.840588     1 typesense_server_utils.cpp:493] CURL clean up
I20230306 06:33:29.840595     1 typesense_server_utils.cpp:497] Deleting server
I20230306 06:33:29.840634     1 typesense_server_utils.cpp:501] CollectionManager dispose, this might take some time...
I20230306 06:33:29.890949     1 typesense_server_utils.cpp:505] Bye.
